import request from '@/utils/request'

// 查询能耗管理统计列表
export function listLbnhjstj(query) {
  return request({
    url: '/production/lbnhjstj/list',
    method: 'get',
    params: query
  })
}

// 查询能耗管理统计详细
export function getLbnhjstj(id) {
  return request({
    url: '/production/lbnhjstj/' + id,
    method: 'get'
  })
}

// 新增能耗管理统计
export function addLbnhjstj(data) {
  return request({
    url: '/production/lbnhjstj',
    method: 'post',
    data: data
  })
}

// 修改能耗管理统计
export function updateLbnhjstj(data) {
  return request({
    url: '/production/lbnhjstj',
    method: 'put',
    data: data
  })
}

// 删除能耗管理统计
export function delLbnhjstj(id) {
  return request({
    url: '/production/lbnhjstj/' + id,
    method: 'delete'
  })
}

// 导出能耗管理统计
export function exportLbnhjstj(query) {
  return request({
    url: '/production/lbnhjstj/export',
    method: 'get',
    params: query
  })
}
